Bug 211796 - update to newer release of xfig
update to newer release of xfig
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks: 226557
  Show dependency treegraph
 
Reported: 2006-10-22 19:33 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.2.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 12:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-22 19:33:01 EDT
Description of problem:

The xfig version shipped in fedora is quite old. The development
of xfig is now on the 'alpha' release which don't seem to be
alpha except in the name. They are many bugfixes in the
so-called 'alpha' version, backporting all of them seems
unusefull to me, and there are also some new features. Given
the scope of fedora I can't see why those versions shouldn't be
used. debian uses the 'alpha' releases, even for debian stable, 
like mandriva. I don't know if I found latest suse srpms but 
the one I found used backporting instead of the alpha. 
In any case the fedora xfig is the most out-of-date.

More fundamentaly I am not convinced that xfig is interesting
enough for fedora core developpers, and maybe this would be a 
good candidate for extras? (transfig is a build dependency
for some packages in core, so cannot easily go in extras).

If you agree with updating to the 'alpha' release I allready
have investigated which patch have been integrated, which
ones need to be rebased and I also have collected interesting 
patches and ideas from other distros, i could easily provide
this info.

I also have an updated transfig, so I could also provide 
updated patches and spec.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2006-10-30 06:24:23 EST
i will ask the author whether the alpha version is stable enough too be 
included in FC7. It would be geat if you could attach updated patches and spec 
in the case if we add alpha version. Thanks
Comment 2 Will Woods 2007-03-24 16:02:23 EDT
Moving to 'devel' for F7 consideration.
Comment 3 Patrice Dumas 2007-07-31 12:10:00 EDT
xfig has been updated to the latest release, closing.

Note You need to log in before you can comment on or make changes to this bug.